id: d7_pathauto_settings
label: Pathauto configuration
migration_tags:
  - Drupal 7
  - Configuration
source:
  plugin: variable
  variables:
    - pathauto_punctuation_ampersand
    - pathauto_punctuation_asterisk
    - pathauto_punctuation_at
    - pathauto_punctuation_backtick
    - pathauto_punctuation_back_slash
    - pathauto_punctuation_caret
    - pathauto_punctuation_colon
    - pathauto_punctuation_comma
    - pathauto_punctuation_dollar
    - pathauto_punctuation_double_quotes
    - pathauto_punctuation_equal
    - pathauto_punctuation_exclamation
    - pathauto_punctuation_greater_than
    - pathauto_punctuation_hash
    - pathauto_punctuation_hyphen
    - pathauto_punctuation_left_curly
    - pathauto_punctuation_left_parenthesis
    - pathauto_punctuation_left_square
    - pathauto_punctuation_less_than
    - pathauto_punctuation_percent
    - pathauto_punctuation_period
    - pathauto_punctuation_pipe
    - pathauto_punctuation_plus
    - pathauto_punctuation_question_mark
    - pathauto_punctuation_quotes
    - pathauto_punctuation_right_curly
    - pathauto_punctuation_right_parenthesis
    - pathauto_punctuation_right_square
    - pathauto_punctuation_semicolon
    - pathauto_punctuation_slash
    - pathauto_punctuation_tilde
    - pathauto_punctuation_underscore
    - pathauto_verbose
    - pathauto_separator
    - pathauto_max_length
    - pathauto_max_component_length
    - pathauto_transliterate
    - pathauto_reduce_ascii
    - pathauto_ignore_words
    - pathauto_case
    - pathauto_update_action
  source_module: pathauto
process:
  punctuation/ampersand: pathauto_punctuation_ampersand
  punctuation/asterisk: pathauto_punctuation_asterisk
  punctuation/at: pathauto_punctuation_at
  punctuation/backtick: pathauto_punctuation_backtick
  punctuation/back_slash: pathauto_punctuation_back_slash
  punctuation/caret: pathauto_punctuation_caret
  punctuation/colon: pathauto_punctuation_colon
  punctuation/comma: pathauto_punctuation_comma
  punctuation/dollar: pathauto_punctuation_dollar
  punctuation/double_quotes: pathauto_punctuation_double_quotes
  punctuation/equal: pathauto_punctuation_equal
  punctuation/exclamation: pathauto_punctuation_exclamation
  punctuation/greater_than: pathauto_punctuation_greater_than
  punctuation/hash: pathauto_punctuation_hash
  punctuation/hyphen: pathauto_punctuation_hyphen
  punctuation/left_curly: pathauto_punctuation_left_curly
  punctuation/left_parenthesis: pathauto_punctuation_left_parenthesis
  punctuation/left_square: pathauto_punctuation_left_square
  punctuation/less_than: pathauto_punctuation_less_than
  punctuation/percent: pathauto_punctuation_percent
  punctuation/period: pathauto_punctuation_period
  punctuation/pipe: pathauto_punctuation_pipe
  punctuation/plus: pathauto_punctuation_plus
  punctuation/question_mark: pathauto_punctuation_question_mark
  punctuation/quotes: pathauto_punctuation_quotes
  punctuation/right_curly: pathauto_punctuation_right_curly
  punctuation/right_parenthesis: pathauto_punctuation_right_parenthesis
  punctuation/right_square: pathauto_punctuation_right_square
  punctuation/semicolon: pathauto_punctuation_semicolon
  punctuation/slash: pathauto_punctuation_slash
  punctuation/tilde: pathauto_punctuation_tilde
  punctuation/underscore: pathauto_punctuation_underscore
  verbose: pathauto_verbose
  separator: pathauto_separator
  max_length: pathauto_max_length
  max_component_length: pathauto_max_component_length
  transliterate: pathauto_transliterate
  reduce_ascii: pathauto_reduce_ascii
  ignore_words: pathauto_ignore_words
  case: pathauto_case
  update_action: pathauto_update_action
destination:
  plugin: config
  config_name: pathauto.settings
